Index: JDBCResourcesStorage.java
===================================================================
--- JDBCResourcesStorage.java	(revision 44345)
+++ JDBCResourcesStorage.java	(revision 44346)
@@ -108,7 +108,7 @@
                 ExpressionBuilder builder = ExpressionUtils.createExpressionBuilder();
                 String filter = builder.eq(
                         builder.column(FIELD_RESOURCES_NAME),
-                        builder.constant(this.tableName+"/"+this.name)
+                        builder.constant(this.tableName+"."+this.name)
                 ).toString();
                 Feature feature = store.findFirst(filter);
                 return feature!=null;
@@ -135,7 +135,7 @@
                 ExpressionBuilder builder = ExpressionUtils.createExpressionBuilder();
                 String filter = builder.eq(
                         builder.column(FIELD_RESOURCES_NAME),
-                        builder.constant(this.tableName+"/"+this.name)
+                        builder.constant(this.tableName+"."+this.name)
                 ).toString();
                 Feature feature = store.findFirst(filter);
                 if (feature == null) {
@@ -179,13 +179,13 @@
                     ExpressionBuilder builder = ExpressionUtils.createExpressionBuilder();
                     String filter = builder.eq(
                             builder.column(FIELD_RESOURCES_NAME),
-                            builder.constant(this.tableName+"/"+this.name)
+                            builder.constant(this.tableName+"."+this.name)
                     ).toString();
                     Feature feature = store.findFirst(filter);
                     EditableFeature efeature;
                     if (feature == null) {
                         efeature = store.createNewFeature();
-                        efeature.set(FIELD_RESOURCES_NAME, this.tableName+"/"+this.name);
+                        efeature.set(FIELD_RESOURCES_NAME, this.tableName+"."+this.name);
                         efeature.set(FIELD_RESOURCES_RESOURCE, this.out.toByteArray());
                         store.insert(efeature);
                     } else {
@@ -204,10 +204,12 @@
         }
     }
 
+    private final ResourcesStorage alternativeStorge;
     private final JDBCStoreParameters resourcesStoreParameters;
     private final String tableName;
 
-    public JDBCResourcesStorage(JDBCStoreParameters resourcesStoreParameters, String tableName) {
+    public JDBCResourcesStorage(ResourcesStorage alternativeStorge, JDBCStoreParameters resourcesStoreParameters, String tableName) {
+        this.alternativeStorge = alternativeStorge;
         if( StringUtils.equals(TABLE_RESOURCES_NAME, tableName) ) {
             // No podemos buscar recursos de la tabla de recursos, ya que si no
             // al abrise la tabla de recursos entraria en bucle.
@@ -225,6 +227,12 @@
 
     @Override
     public Resource getResource(String name) {
+        if( this.alternativeStorge!=null ) {
+            Resource r = this.alternativeStorge.getResource(name);
+            if( r.exists() ) {
+                return r;
+            }
+        }
         if (this.resourcesStoreParameters == null) {
             return null;
         }
@@ -240,6 +248,12 @@
         if (this.resourcesStoreParameters == null) {
             return null;
         }
+        if( this.alternativeStorge!=null ) {
+            List<Resource> r = this.alternativeStorge.getResources(name);
+            if( r!=null && !r.isEmpty() ) {
+                return r;
+            }
+        }
         FeatureStore store = null;
         try {
             DataManager dataManager = DALLocator.getDataManager();
@@ -255,11 +269,11 @@
                 if (n == 0) {
                     multiresourceName = name;
                 } else {
-                    multiresourceName = name + "." + String.valueOf(n);
+                    multiresourceName = String.valueOf(n) + "." + name ;
                 }
                 String filter = builder.eq(
                         builder.column(FIELD_RESOURCES_NAME),
-                        builder.constant(this.tableName+"/"+multiresourceName)
+                        builder.constant(this.tableName+"."+multiresourceName)
                 ).toString();
                 Feature feature = store.findFirst(filter);
                 if( feature==null ) {