Index: DefaultJExpressionBuilder.java
===================================================================
--- DefaultJExpressionBuilder.java	(revision 44532)
+++ DefaultJExpressionBuilder.java	(revision 44533)
@@ -48,6 +48,7 @@
 import org.apache.commons.io.FilenameUtils;
 import org.apache.commons.io.IOUtils;
 import org.apache.commons.lang3.StringUtils;
+import org.gvsig.configurableactions.ConfigurableActionsMamager;
 import org.gvsig.expressionevaluator.Expression;
 import org.gvsig.expressionevaluator.ExpressionEvaluatorLocator;
 import org.gvsig.expressionevaluator.ExpressionEvaluatorManager;
@@ -68,13 +69,12 @@
 import static org.gvsig.tools.swing.api.bookmarkshistory.ActionEventWithCurrentValue.ID_GETVALUE;
 import static org.gvsig.tools.swing.api.bookmarkshistory.ActionEventWithCurrentValue.ID_SETVALUE;
 import org.gvsig.tools.swing.api.bookmarkshistory.BookmarksController;
-import org.gvsig.tools.swing.api.bookmarkshistory.BookmarksController.BookmarkEvent;
 import org.gvsig.tools.swing.api.bookmarkshistory.HistoryController;
-import org.gvsig.tools.swing.api.bookmarkshistory.HistoryController.HistoryEvent;
 import org.gvsig.tools.swing.api.pickercontroller.PickerController;
 import org.gvsig.tools.swing.api.script.ScriptSwingManager;
 import org.gvsig.tools.swing.api.threadsafedialogs.ThreadSafeDialogsManager;
 import org.gvsig.tools.swing.icontheme.IconTheme;
+import org.gvsig.tools.util.ToolsUtilLocator;
 
 /**
  *
@@ -302,6 +302,11 @@
 
     @SuppressWarnings("Convert2Lambda")
     private void initComponents() {
+        ConfigurableActionsMamager cfgActionsManager = ToolsUtilLocator.getConfigurableActionsMamager();
+        JComponent c = cfgActionsManager.getConfigurableActionsComponent(CONFIGURABLE_PANEL_ID, this);
+        pnlCfgActions.setLayout(new BorderLayout(0,0));
+        pnlCfgActions.add(c, BorderLayout.LINE_END);
+        
         final ToolsSwingManager toolsSwingManager = ToolsSwingLocator.getToolsSwingManager();
         final IconTheme theme = ToolsSwingLocator.getIconThemeManager().getCurrent();
         final I18nManager i18n = ToolsLocator.getI18nManager();
@@ -605,17 +610,17 @@
                 doInsert(" - ");
             }
         });
-        ScriptSwingManager scriptSwingManager = ToolsSwingLocator.getScriptSwingManager();
-        this.scriptPicker = scriptSwingManager.createListScriptPickerController(
-                cboPickerScripts,
-                btnPickerRemove,
-                btnPickerSelectScript
-        );
-        this.scriptEditor = scriptSwingManager.createScriptEditor();
-        this.pnlScriptEditorContainer.setLayout(new BorderLayout());
-        this.pnlScriptEditorContainer.add(this.scriptEditor.asJComponent(), BorderLayout.CENTER);
-    
-        this.tabExpressionBuilder.setEnabledAt(0, this.builderConfig.getPreferences().getScriptsEnabled());
+//        ScriptSwingManager scriptSwingManager = ToolsSwingLocator.getScriptSwingManager();
+//        this.scriptPicker = scriptSwingManager.createListScriptPickerController(
+//                cboPickerScripts,
+//                btnPickerRemove,
+//                btnPickerSelectScript
+//        );
+//        this.scriptEditor = scriptSwingManager.createScriptEditor();
+//        this.pnlScriptEditorContainer.setLayout(new BorderLayout());
+//        this.pnlScriptEditorContainer.add(this.scriptEditor.asJComponent(), BorderLayout.CENTER);
+//    
+//        this.tabExpressionBuilder.setEnabledAt(0, this.builderConfig.getPreferences().getScriptsEnabled());
         
         ActionListener historyAndBookmarkListener = new ActionListener() {
             @Override
@@ -785,29 +790,29 @@
         }
         Expression expression = ExpressionEvaluatorLocator.getManager().createExpression();
         expression.setPhrase(phrase);
-        Script script = ToolsLocator.getScriptManager().createScript("UserScript", "", "python");
-        this.scriptEditor.fetch(script);
-        if( !StringUtils.isEmpty(script.getCode()) ) {
-            expression.setUserScript(script);
-        }
+//        Script script = ToolsLocator.getScriptManager().createScript("UserScript", "", "python");
+//        this.scriptEditor.fetch(script);
+//        if( !StringUtils.isEmpty(script.getCode()) ) {
+//            expression.setUserScript(script);
+//        }
         return expression;
     }
 
     @Override
     public void setExpression(Expression expression) {
-        if( expression==null ) {
+//        if( expression==null ) {
             this.txtExpression.setText("");
-            try { this.scriptEditor.set(null); } catch(Exception ex) {}
-            this.scriptPicker.set(null);
-        } else {
-            this.txtExpression.setText(expression.getPhrase());
-            if( expression.getUserScript()!=null ) {
-                this.scriptEditor.set(expression.getUserScript());
-            }
-            if( expression.getScripts()!=null ) {
-                this.scriptPicker.set(expression.getScripts().toList());
-            }
-        }
+//            try { this.scriptEditor.set(null); } catch(Exception ex) {}
+//            this.scriptPicker.set(null);
+//        } else {
+//            this.txtExpression.setText(expression.getPhrase());
+//            if( expression.getUserScript()!=null ) {
+//                this.scriptEditor.set(expression.getUserScript());
+//            }
+//            if( expression.getScripts()!=null ) {
+//                this.scriptPicker.set(expression.getScripts().toList());
+//            }
+//        }
     }
 
     @Override