Index: DynamicLabelingStrategy.java
===================================================================
--- DynamicLabelingStrategy.java	(revision 44533)
+++ DynamicLabelingStrategy.java	(revision 44534)
@@ -11,87 +11,90 @@
 import org.gvsig.fmap.dal.feature.Feature;
 import org.gvsig.fmap.mapcontext.rendering.legend.styling.ILabelingStrategy;
 import org.gvsig.fmap.mapcontext.rendering.symbols.CartographicSupport;
+import org.gvsig.fmap.mapcontext.rendering.symbols.ISymbol;
 
 /**
  *
  * @author osc
  */
-public abstract class DynamicLabelingStrategy implements ILabelingStrategy, CartographicSupport {
+public interface DynamicLabelingStrategy extends ILabelingStrategy, CartographicSupport {
 
-    public abstract void setFeature(Feature f);
+    String NAME = "DynamicLabelingStrategy";
 
-    public abstract Expression getRotation();
+    public void setFeature(Feature f);
 
-    public abstract int getComputedRotation();
+    public Expression getRotation();
 
-    public abstract Expression getUnitExp();
+    public int getComputedRotation();
 
-    public abstract int getComputedUnit();
+    public Expression getUnitExp();
 
-    public abstract Expression getText();
+    public int getComputedUnit();
 
-    public abstract String getComputedText();
+    public Expression getText();
 
-    public abstract Expression getHeight();
+    public String getComputedText();
 
-    public abstract int getComputedHeight();
+    public Expression getHeight();
 
-    public abstract Expression getColor();
+    public int getComputedHeight();
 
-    public abstract Color getComputedColor();
+    public Expression getColor();
 
-    public abstract Expression getFixedSize();
+    public Color getComputedColor();
 
-    public abstract double getComputedFixedSize();
+    public Expression getFixedSize();
 
-    public abstract Expression getFontStyle();
+    public double getComputedFixedSize();
 
-    public abstract int getComputedFontStyle();
+    public Expression getFontStyle();
+
+    public int getComputedFontStyle();
     
-    public abstract void setFontStyle(int style);
+    public void setFontStyle(int style);
     
-    public abstract void setFontStyle(Expression expression);
+    public void setFontStyle(Expression expression);
 
-    public abstract void setText(Expression expression);
+    public void setText(Expression expression);
 
-    public abstract void setRotation(Expression expression);
+    public void setRotation(Expression expression);
 
-    public abstract void setHeight(Expression expression);
+    public void setHeight(Expression expression);
 
-    public abstract void setColor(Expression expression);
+    public void setColor(Expression expression);
 
-    public abstract void setUsesFixedSize(boolean b);
+    public void setUsesFixedSize(boolean b);
 
-    public abstract boolean usesFixedSize();
+    public boolean usesFixedSize();
 
-    public abstract void setFixedSize(double fixedSize);
+    public void setFixedSize(double fixedSize);
 
-    public abstract void setUsesFixedColor(boolean b);
+    public void setUsesFixedColor(boolean b);
 
-    public abstract boolean usesFixedColor();
+    public boolean usesFixedColor();
 
-    public abstract Expression getFixedColor();
+    public Expression getFixedColor();
 
-    public abstract Color getComputedFixedColor();
+    public Color getComputedFixedColor();
 
-    public abstract void setFixedColor(Color fixedColor);
+    public void setFixedColor(Color fixedColor);
 
-    public abstract Expression getColorFont();
+    public Expression getColorFont();
 
-    public abstract Color getComputedColorFont();
+    public Color getComputedColorFont();
 
-    public abstract void setColorFont(Color colorFont);
+    public void setColorFont(Color colorFont);
 
-    public abstract Expression getFont();
+    public Expression getFont();
 
-    public abstract Font getComputedFont();
+    public Font getComputedFont();
 
-    public abstract void setFont(Font selFont);
+    public void setFont(Font selFont);
     
-    public abstract void setFont(Expression expression);
+    public void setFont(Expression expression);
     
-    public abstract void setReferenceSystem(Expression expression);
+    public void setReferenceSystem(Expression expression);
     
-    public abstract void setUnit(Expression expression);
+    public void setUnit(Expression expression);
 
 }