Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/featureform/swing/impl/DefaultJFeaturesForm.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/featureform/swing/impl/DefaultJFeaturesForm.java	(revision 44589)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/featureform/swing/impl/DefaultJFeaturesForm.java	(revision 44590)
@@ -431,7 +431,8 @@
                     I18nManager i18nManager = ToolsLocator.getI18nManager();
                     ThreadSafeDialogsManager dialogManager = ToolsSwingLocator.getThreadSafeDialogsManager();
                     int x = dialogManager.confirmDialog(
-                            "¿ Desea terminar edicion y guardar los cambios ?\n\nPulse cancelar para cancelar la edicion y los cambios.",
+                            i18nManager.getTranslation("_Do_you_want_to_finish_editing_and_save_the_changes")+"\n\n"+
+                                    i18nManager.getTranslation("_Press_cancel_to_cancel_editing_and_changes"),
                             i18nManager.getTranslation("_Stop_editing"),
                             JOptionPane.YES_NO_CANCEL_OPTION,
                             JOptionPane.QUESTION_MESSAGE
@@ -821,10 +822,11 @@
             searchPanel.asJComponent().setPreferredSize(
                     new Dimension(FeatureStoreSearchPanel.DEFAULT_WIDTH, 320)
             );
+            I18nManager i18n = ToolsLocator.getI18nManager();
             Dialog dialog = winmgr.createDialog(
                     searchPanel.asJComponent(),
-                    "Filtro",
-                    "Creacion de filtro sobre '"+store.getName()+"'",
+                    i18n.getTranslation("_Filter"),
+                    i18n.getTranslation("_Creating_filter_for") + ": '"+store.getName()+"'",
                     WindowManager_v2.BUTTONS_OK_CANCEL
             );
             dialog.show(WindowManager.MODE.DIALOG);
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/i18n/text.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/i18n/text.properties	(revision 44589)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/i18n/text.properties	(revision 44590)
@@ -1388,4 +1388,14 @@
 _Values_of_data_will_try_to_coerce_to_this_type=Los valores intentar\u00e1n transformarse a este nuevo tipo de dato.
 _Select_feature_in_the_View=Seleccionar entidad en la Vista
 _Form_refreshed=Formulario actualizado
-_Export=Exportar
\ No newline at end of file
+_Export=Exportar
+_Do_you_want_to_finish_editing_and_save_the_changes=\u00bf Desea terminar edici\u00f3n y guardar los cambios ?
+_Press_cancel_to_cancel_editing_and_changes=Pulse cancelar para cancelar la edici\u00f3n y los cambios.
+_Stop_editing=Detener edici\u00f3n
+_Start_editing=Iniciar edici\u00f3n
+_Record_saved=Registro guardado
+error_saving_data_will_not_save=Error al guardar. Los datos no se guardar\u00e1n
+_Record_removed=Registro eliminado
+error_removing_data_will_not_remove=Error al eliminar. Los datos no se eliminar\u00e1n.
+_Creating_filter_for=Creando filtro para:
+_Form_refreshed=Formulario actualizado.
\ No newline at end of file
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/i18n/text_en.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/i18n/text_en.properties	(revision 44589)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/i18n/text_en.properties	(revision 44590)
@@ -1308,4 +1308,13 @@
 _Values_of_data_will_try_to_coerce_to_this_type=Values of data will try to coerce to this type
 _Select_feature_in_the_View=Select feature in the View
 _Form_refreshed=Form refreshed
-_Export=Export
\ No newline at end of file
+_Export=Export
+_Do_you_want_to_finish_editing_and_save_the_changes=Do you want to finish editing and save the changes?
+_Press_cancel_to_cancel_editing_and_changes=Press cancel to cancel editing and changes.
+_Stop_editing=Detener edici\u00f3n
+_Start_editing=Iniciar edici\u00f3n
+_Record_saved=Registro guardado
+error_saving_data_will_not_save=Error saving. Data will not save.
+_Record_removed=Record removed
+_Creating_filter_for=Creating filter for:
+_Form_refreshed=Form refreshed
\ No newline at end of file